name: 4 axis hot wire cutter
start:
  must_home: false
axes:
  x:
    steps_per_mm: 200
    max_rate_mm_per_min: 1000
    acceleration_mm_per_sec2: 10
    max_travel_mm: 1000
    motor0:
      limit_all_pin: NO_PIN
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 1
      standard_stepper:
        step_pin: gpio.13
        direction_pin: gpio.15:low
        disable_pin: NO_PIN
  y:
    steps_per_mm: 200
    max_rate_mm_per_min: 1000
    acceleration_mm_per_sec2: 10
    max_travel_mm: 1000
    motor0:
      limit_all_pin: NO_PIN
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 1
      standard_stepper:
        step_pin: gpio.12
        direction_pin: gpio.14:low
        disable_pin: NO_PIN
  z:
    steps_per_mm: 200
    max_rate_mm_per_min: 1000
    acceleration_mm_per_sec2: 10
    max_travel_mm: 1000
    motor0:
      limit_all_pin: NO_PIN
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 1
      standard_stepper:
        step_pin: gpio.27
        direction_pin: gpio.26:low
        disable_pin: NO_PIN
  a:
    steps_per_mm: 200
    max_rate_mm_per_min: 1000
    acceleration_mm_per_sec2: 10
    max_travel_mm: 1000
    motor0:
      limit_all_pin: NO_PIN
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 1
      standard_stepper:
        step_pin: gpio.25
        direction_pin: gpio.33:low
        disable_pin: NO_PIN
stepping:
  engine: RMT
  idle_ms: 250
  pulse_us: 20
  dir_delay_us: 0
  disable_delay_us: 0
user_outputs:
  digital0_pin: NO_PIN
  digital1_pin: NO_PIN
  digital2_pin: NO_PIN
  digital3_pin: NO_PIN
PWM:
  output_pin: gpio.32:low
  enable_pin: NO_PIN
  direction_pin: NO_PIN
  disable_with_s0: false
  s0_with_disable: true
  speed_map: 0=0% 1000=100%
